!set title=Ecuación 2x2
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
language=en
author=XIAO Gang
email=xiao@unice.fr
leftrange=-5.000000
rightrange=5.000000
precision=10000

ansorder=r,r,r,r
varcnt=11
prevarcnt=10
postvarcnt=0
replycnt=4
choicecnt=0
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=X
tmp0=!randint 2, 8

tmp1=!randitem -1,1

val7=$[rint($(tmp0)*$(tmp1))]
tmp0=!randitem -5,-4,-3,-2,+2,+3,+4,+5

val8=$(tmp0)
tmp0=!randitem -6,-5,-4,-3,-2,-1,+1,+2,+3,+4,+5,+6

val9=$(tmp0)
val10=$[-($val7)/($val9)]
val11=$[-($val8)/($val9)]
val12=!rawmath $val10*a+$val11
val13=!rawmath $val10*b
val14=!rawmath $val10*c
val15=!rawmath $val10*d+$val11
replyname1=<i>e</i>
replygood1=$val12,a,b,c,d
replyname2=<i>f</i>
replygood2=$val13,a,b,c,d
replyname3=<i>g</i>
replygood3=$val14,a,b,c,d
replyname4=<i>h</i>
replygood4=$val15,a,b,c,d
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()Supongamos que la matriz 
!insmath A=[a,b;c,d]
$()	satisface la ecuación 
!insmath $val7*A^2$val8*A$val9=0
$(). Determina la matriz inversa	
!insmath A^-1=[e,f;g,h]
$() en función de <i>a,b,c,d</i>. <p>	Más exactamente, cada coeficiente de 
!insmath A^-1
$() debe ser un polinomio de grado	1 en <i>a,b,c,d</i>.	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=7,8,9
embedcnt=0
